[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-2.3.0-113-gfd3e5af

by Andre Heinecke cvs at cvs.gnupg.org
Wed Mar 2 11:30:02 CET 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  fd3e5af17e3719673ea2e17280e9efd40eed4628 (commit)
       via  7f5bea4a2ae00fdb4aee0f847dd41913989725e9 (commit)
      from  a72d02e0ba7306355b925194561e45a21598b7fb (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit fd3e5af17e3719673ea2e17280e9efd40eed4628
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed Mar 2 11:29:43 2016 +0100

    Update Kleopatra package to latest master
    
    * packages/packages.current (kleopatra): Update.

diff --git a/packages/packages.current b/packages/packages.current
index d96e3f1..9ca4702 100644
--- a/packages/packages.current
+++ b/packages/packages.current
@@ -537,5 +537,5 @@ chk 76257cc32d5eeeb9e9e2b19a0bc60eb89d5807f7
 # last changed: see package date.
 # by: ah
 # verified: Tarball created by ah.
-file kleopatra/kleopatra-201602221601.tar.gz
-chk 9407fd9dc11b0288306395654f009e900add0d13
+file kleopatra/kleopatra-201603021128.tar.gz
+chk 4798bf3abfc51c623ae7f77cef915ad22aef847e

commit 7f5bea4a2ae00fdb4aee0f847dd41913989725e9
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed Mar 2 11:27:08 2016 +0100

    Add patch for gpgme gpgconf fallback search
    
    * patches/gpgme-1.6.0/
     0001-w32-Fallback-to-2.1-reg-key-for-gpgconf-search.patch: New.

diff --git a/patches/gpgme-1.6.0/0001-w32-Fallback-to-2.1-reg-key-for-gpgconf-search.patch b/patches/gpgme-1.6.0/0001-w32-Fallback-to-2.1-reg-key-for-gpgconf-search.patch
new file mode 100755
index 0000000..52a5cf0
--- /dev/null
+++ b/patches/gpgme-1.6.0/0001-w32-Fallback-to-2.1-reg-key-for-gpgconf-search.patch
@@ -0,0 +1,55 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+From bd8d559f2c0cc76d32c3668f70da5d9f1831cbc1 Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke at intevation.de>
+Date: Tue, 1 Mar 2016 13:11:13 +0100
+Subject: [PATCH] w32: Fallback to 2.1 reg key for gpgconf search
+
+* src/w32-util.c (_gpgme_get_gpgconf_path): Fallback to 2.1 installer
+ registry key.
+
+--
+Finding gpgconf is utterly important so we should be as compatible
+as possible.
+---
+ src/w32-util.c | 17 ++++++++++++++---
+ 1 file changed, 14 insertions(+), 3 deletions(-)
+
+diff --git a/src/w32-util.c b/src/w32-util.c
+index a27955b..0086fe3 100644
+--- a/src/w32-util.c
++++ b/src/w32-util.c
+@@ -563,15 +563,26 @@ _gpgme_get_gpgconf_path (void)
+       gpgconf = find_program_at_standard_place (name2);
+     }
+
+-  /* 3. Try to find gpgconf.exe using that ancient registry key.  This
+-        should eventually be removed.  */
++  /* 3. Try to find gpgconf.exe using the Windows registry. */
+   if (!gpgconf)
+     {
+       char *dir;
+
+-      dir = read_w32_registry_string ("HKEY_LOCAL_MACHINE",
++      dir = read_w32_registry_string (NULL,
+                                       "Software\\GNU\\GnuPG",
+                                       "Install Directory");
++      if (!dir)
++        {
++          char *tmp = read_w32_registry_string (NULL,
++                                                "Software\\GnuPG",
++                                                "Install Directory");
++          if (tmp)
++            {
++              if (gpgrt_asprintf (&dir, "%s\\bin", tmp) == -1)
++                return NULL;
++              free (tmp);
++            }
++        }
+       if (dir)
+         {
+           gpgconf = find_program_in_dir (dir, name);
+--
+2.1.4

-----------------------------------------------------------------------

Summary of changes:
 packages/packages.current                          |  4 +-
 ...allback-to-2.1-reg-key-for-gpgconf-search.patch | 55 ++++++++++++++++++++++
 2 files changed, 57 insertions(+), 2 deletions(-)
 create mode 100755 patches/gpgme-1.6.0/0001-w32-Fallback-to-2.1-reg-key-for-gpgconf-search.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list